import { jsx } from "react/jsx-runtime";
import { TokenEARN as TokenEARN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEARN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EARN", "data-name": "TokenEARN", ...props, children: /* @__PURE__ */ jsx(TokenEARN$1, { variant }) });
  }
);
TokenEARN.displayName = "TokenEARN";
Object.assign(TokenEARN, { isGdsIcon: true });
export {
  TokenEARN
};
